IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/80
Addresses2^48
/64 networksPart of one
- Network
fe80:c25a:ec00:ec00:c::/80- First address
fe80:c25a:ec00:ec00:c::- Last address
fe80:c25a:ec00:ec00:c:ffff:ffff:ffff- Addresses
- 281,474,976,710,656 (2^48)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25a:ec00:ec00:000c:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
c.0.0.0.0.0.c.e.0.0.c.e.a.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25a:ec00:ec00:c::/80 makes 256 subnets of /88.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25a:ec00:ec00:c::/88 | fe80:c25a:ec00:ec00:c:ff:ffff:ffff |
| 2 | fe80:c25a:ec00:ec00:c:100::/88 | fe80:c25a:ec00:ec00:c:1ff:ffff:ffff |
| 3 | fe80:c25a:ec00:ec00:c:200::/88 | fe80:c25a:ec00:ec00:c:2ff:ffff:ffff |
| 4 | fe80:c25a:ec00:ec00:c:300::/88 | fe80:c25a:ec00:ec00:c:3ff:ffff:ffff |
| 5 | fe80:c25a:ec00:ec00:c:400::/88 | fe80:c25a:ec00:ec00:c:4ff:ffff:ffff |
| 6 | fe80:c25a:ec00:ec00:c:500::/88 | fe80:c25a:ec00:ec00:c:5ff:ffff:ffff |
| 7 | fe80:c25a:ec00:ec00:c:600::/88 | fe80:c25a:ec00:ec00:c:6ff:ffff:ffff |
| 8 | fe80:c25a:ec00:ec00:c:700::/88 | fe80:c25a:ec00:ec00:c:7ff:ffff:ffff |
| 9 | fe80:c25a:ec00:ec00:c:800::/88 | fe80:c25a:ec00:ec00:c:8ff:ffff:ffff |
| 10 | fe80:c25a:ec00:ec00:c:900::/88 | fe80:c25a:ec00:ec00:c:9ff:ffff:ffff |
| 11 | fe80:c25a:ec00:ec00:c:a00::/88 | fe80:c25a:ec00:ec00:c:aff:ffff:ffff |
| 12 | fe80:c25a:ec00:ec00:c:b00::/88 | fe80:c25a:ec00:ec00:c:bff:ffff:ffff |
| 13 | fe80:c25a:ec00:ec00:c:c00::/88 | fe80:c25a:ec00:ec00:c:cff:ffff:ffff |
| 14 | fe80:c25a:ec00:ec00:c:d00::/88 | fe80:c25a:ec00:ec00:c:dff:ffff:ffff |
| 15 | fe80:c25a:ec00:ec00:c:e00::/88 | fe80:c25a:ec00:ec00:c:eff:ffff:ffff |
| 16 | fe80:c25a:ec00:ec00:c:f00::/88 | fe80:c25a:ec00:ec00:c:fff:ffff:ffff |
| 17 | fe80:c25a:ec00:ec00:c:1000::/88 | fe80:c25a:ec00:ec00:c:10ff:ffff:ffff |
| 18 | fe80:c25a:ec00:ec00:c:1100::/88 | fe80:c25a:ec00:ec00:c:11ff:ffff:ffff |
| 19 | fe80:c25a:ec00:ec00:c:1200::/88 | fe80:c25a:ec00:ec00:c:12ff:ffff:ffff |
| 20 | fe80:c25a:ec00:ec00:c:1300::/88 | fe80:c25a:ec00:ec00:c:13ff:ffff:ffff |
| 21 | fe80:c25a:ec00:ec00:c:1400::/88 | fe80:c25a:ec00:ec00:c:14ff:ffff:ffff |
| 22 | fe80:c25a:ec00:ec00:c:1500::/88 | fe80:c25a:ec00:ec00:c:15ff:ffff:ffff |
| 23 | fe80:c25a:ec00:ec00:c:1600::/88 | fe80:c25a:ec00:ec00:c:16ff:ffff:ffff |
| 24 | fe80:c25a:ec00:ec00:c:1700::/88 | fe80:c25a:ec00:ec00:c:17ff:ffff:ffff |
| 25 | fe80:c25a:ec00:ec00:c:1800::/88 | fe80:c25a:ec00:ec00:c:18ff:ffff:ffff |
| 26 | fe80:c25a:ec00:ec00:c:1900::/88 | fe80:c25a:ec00:ec00:c:19ff:ffff:ffff |
| 27 | fe80:c25a:ec00:ec00:c:1a00::/88 | fe80:c25a:ec00:ec00:c:1aff:ffff:ffff |
| 28 | fe80:c25a:ec00:ec00:c:1b00::/88 | fe80:c25a:ec00:ec00:c:1bff:ffff:ffff |
| 29 | fe80:c25a:ec00:ec00:c:1c00::/88 | fe80:c25a:ec00:ec00:c:1cff:ffff:ffff |
| 30 | fe80:c25a:ec00:ec00:c:1d00::/88 | fe80:c25a:ec00:ec00:c:1dff:ffff:ffff |
| 31 | fe80:c25a:ec00:ec00:c:1e00::/88 | fe80:c25a:ec00:ec00:c:1eff:ffff:ffff |
| 32 | fe80:c25a:ec00:ec00:c:1f00::/88 | fe80:c25a:ec00:ec00:c:1fff:ffff:ffff |
| 33 | fe80:c25a:ec00:ec00:c:2000::/88 | fe80:c25a:ec00:ec00:c:20ff:ffff:ffff |
| 34 | fe80:c25a:ec00:ec00:c:2100::/88 | fe80:c25a:ec00:ec00:c:21ff:ffff:ffff |
| 35 | fe80:c25a:ec00:ec00:c:2200::/88 | fe80:c25a:ec00:ec00:c:22ff:ffff:ffff |
| 36 | fe80:c25a:ec00:ec00:c:2300::/88 | fe80:c25a:ec00:ec00:c:23ff:ffff:ffff |
| 37 | fe80:c25a:ec00:ec00:c:2400::/88 | fe80:c25a:ec00:ec00:c:24ff:ffff:ffff |
| 38 | fe80:c25a:ec00:ec00:c:2500::/88 | fe80:c25a:ec00:ec00:c:25ff:ffff:ffff |
| 39 | fe80:c25a:ec00:ec00:c:2600::/88 | fe80:c25a:ec00:ec00:c:26ff:ffff:ffff |
| 40 | fe80:c25a:ec00:ec00:c:2700::/88 | fe80:c25a:ec00:ec00:c:27ff:ffff:ffff |
| 41 | fe80:c25a:ec00:ec00:c:2800::/88 | fe80:c25a:ec00:ec00:c:28ff:ffff:ffff |
| 42 | fe80:c25a:ec00:ec00:c:2900::/88 | fe80:c25a:ec00:ec00:c:29ff:ffff:ffff |
| 43 | fe80:c25a:ec00:ec00:c:2a00::/88 | fe80:c25a:ec00:ec00:c:2aff:ffff:ffff |
| 44 | fe80:c25a:ec00:ec00:c:2b00::/88 | fe80:c25a:ec00:ec00:c:2bff:ffff:ffff |
| 45 | fe80:c25a:ec00:ec00:c:2c00::/88 | fe80:c25a:ec00:ec00:c:2cff:ffff:ffff |
| 46 | fe80:c25a:ec00:ec00:c:2d00::/88 | fe80:c25a:ec00:ec00:c:2dff:ffff:ffff |
| 47 | fe80:c25a:ec00:ec00:c:2e00::/88 | fe80:c25a:ec00:ec00:c:2eff:ffff:ffff |
| 48 | fe80:c25a:ec00:ec00:c:2f00::/88 | fe80:c25a:ec00:ec00:c:2fff:ffff:ffff |
| 49 | fe80:c25a:ec00:ec00:c:3000::/88 | fe80:c25a:ec00:ec00:c:30ff:ffff:ffff |
| 50 | fe80:c25a:ec00:ec00:c:3100::/88 | fe80:c25a:ec00:ec00:c:31ff:ffff:ffff |
| 51 | fe80:c25a:ec00:ec00:c:3200::/88 | fe80:c25a:ec00:ec00:c:32ff:ffff:ffff |
| 52 | fe80:c25a:ec00:ec00:c:3300::/88 | fe80:c25a:ec00:ec00:c:33ff:ffff:ffff |
| 53 | fe80:c25a:ec00:ec00:c:3400::/88 | fe80:c25a:ec00:ec00:c:34ff:ffff:ffff |
| 54 | fe80:c25a:ec00:ec00:c:3500::/88 | fe80:c25a:ec00:ec00:c:35ff:ffff:ffff |
| 55 | fe80:c25a:ec00:ec00:c:3600::/88 | fe80:c25a:ec00:ec00:c:36ff:ffff:ffff |
| 56 | fe80:c25a:ec00:ec00:c:3700::/88 | fe80:c25a:ec00:ec00:c:37ff:ffff:ffff |
| 57 | fe80:c25a:ec00:ec00:c:3800::/88 | fe80:c25a:ec00:ec00:c:38ff:ffff:ffff |
| 58 | fe80:c25a:ec00:ec00:c:3900::/88 | fe80:c25a:ec00:ec00:c:39ff:ffff:ffff |
| 59 | fe80:c25a:ec00:ec00:c:3a00::/88 | fe80:c25a:ec00:ec00:c:3aff:ffff:ffff |
| 60 | fe80:c25a:ec00:ec00:c:3b00::/88 | fe80:c25a:ec00:ec00:c:3bff:ffff:ffff |
| 61 | fe80:c25a:ec00:ec00:c:3c00::/88 | fe80:c25a:ec00:ec00:c:3cff:ffff:ffff |
| 62 | fe80:c25a:ec00:ec00:c:3d00::/88 | fe80:c25a:ec00:ec00:c:3dff:ffff:ffff |
| 63 | fe80:c25a:ec00:ec00:c:3e00::/88 | fe80:c25a:ec00:ec00:c:3eff:ffff:ffff |
| 64 | fe80:c25a:ec00:ec00:c:3f00::/88 | fe80:c25a:ec00:ec00:c:3fff:ffff:ffff |
| 65 | fe80:c25a:ec00:ec00:c:4000::/88 | fe80:c25a:ec00:ec00:c:40ff:ffff:ffff |
| 66 | fe80:c25a:ec00:ec00:c:4100::/88 | fe80:c25a:ec00:ec00:c:41ff:ffff:ffff |
| 67 | fe80:c25a:ec00:ec00:c:4200::/88 | fe80:c25a:ec00:ec00:c:42ff:ffff:ffff |
| 68 | fe80:c25a:ec00:ec00:c:4300::/88 | fe80:c25a:ec00:ec00:c:43ff:ffff:ffff |
| 69 | fe80:c25a:ec00:ec00:c:4400::/88 | fe80:c25a:ec00:ec00:c:44ff:ffff:ffff |
| 70 | fe80:c25a:ec00:ec00:c:4500::/88 | fe80:c25a:ec00:ec00:c:45ff:ffff:ffff |
| 71 | fe80:c25a:ec00:ec00:c:4600::/88 | fe80:c25a:ec00:ec00:c:46ff:ffff:ffff |
| 72 | fe80:c25a:ec00:ec00:c:4700::/88 | fe80:c25a:ec00:ec00:c:47ff:ffff:ffff |
| 73 | fe80:c25a:ec00:ec00:c:4800::/88 | fe80:c25a:ec00:ec00:c:48ff:ffff:ffff |
| 74 | fe80:c25a:ec00:ec00:c:4900::/88 | fe80:c25a:ec00:ec00:c:49ff:ffff:ffff |
| 75 | fe80:c25a:ec00:ec00:c:4a00::/88 | fe80:c25a:ec00:ec00:c:4aff:ffff:ffff |
| 76 | fe80:c25a:ec00:ec00:c:4b00::/88 | fe80:c25a:ec00:ec00:c:4bff:ffff:ffff |
| 77 | fe80:c25a:ec00:ec00:c:4c00::/88 | fe80:c25a:ec00:ec00:c:4cff:ffff:ffff |
| 78 | fe80:c25a:ec00:ec00:c:4d00::/88 | fe80:c25a:ec00:ec00:c:4dff:ffff:ffff |
| 79 | fe80:c25a:ec00:ec00:c:4e00::/88 | fe80:c25a:ec00:ec00:c:4eff:ffff:ffff |
| 80 | fe80:c25a:ec00:ec00:c:4f00::/88 | fe80:c25a:ec00:ec00:c:4fff:ffff:ffff |
| 81 | fe80:c25a:ec00:ec00:c:5000::/88 | fe80:c25a:ec00:ec00:c:50ff:ffff:ffff |
| 82 | fe80:c25a:ec00:ec00:c:5100::/88 | fe80:c25a:ec00:ec00:c:51ff:ffff:ffff |
| 83 | fe80:c25a:ec00:ec00:c:5200::/88 | fe80:c25a:ec00:ec00:c:52ff:ffff:ffff |
| 84 | fe80:c25a:ec00:ec00:c:5300::/88 | fe80:c25a:ec00:ec00:c:53ff:ffff:ffff |
| 85 | fe80:c25a:ec00:ec00:c:5400::/88 | fe80:c25a:ec00:ec00:c:54ff:ffff:ffff |
| 86 | fe80:c25a:ec00:ec00:c:5500::/88 | fe80:c25a:ec00:ec00:c:55ff:ffff:ffff |
| 87 | fe80:c25a:ec00:ec00:c:5600::/88 | fe80:c25a:ec00:ec00:c:56ff:ffff:ffff |
| 88 | fe80:c25a:ec00:ec00:c:5700::/88 | fe80:c25a:ec00:ec00:c:57ff:ffff:ffff |
| 89 | fe80:c25a:ec00:ec00:c:5800::/88 | fe80:c25a:ec00:ec00:c:58ff:ffff:ffff |
| 90 | fe80:c25a:ec00:ec00:c:5900::/88 | fe80:c25a:ec00:ec00:c:59ff:ffff:ffff |
| 91 | fe80:c25a:ec00:ec00:c:5a00::/88 | fe80:c25a:ec00:ec00:c:5aff:ffff:ffff |
| 92 | fe80:c25a:ec00:ec00:c:5b00::/88 | fe80:c25a:ec00:ec00:c:5bff:ffff:ffff |
| 93 | fe80:c25a:ec00:ec00:c:5c00::/88 | fe80:c25a:ec00:ec00:c:5cff:ffff:ffff |
| 94 | fe80:c25a:ec00:ec00:c:5d00::/88 | fe80:c25a:ec00:ec00:c:5dff:ffff:ffff |
| 95 | fe80:c25a:ec00:ec00:c:5e00::/88 | fe80:c25a:ec00:ec00:c:5eff:ffff:ffff |
| 96 | fe80:c25a:ec00:ec00:c:5f00::/88 | fe80:c25a:ec00:ec00:c:5fff:ffff:ffff |
| 97 | fe80:c25a:ec00:ec00:c:6000::/88 | fe80:c25a:ec00:ec00:c:60ff:ffff:ffff |
| 98 | fe80:c25a:ec00:ec00:c:6100::/88 | fe80:c25a:ec00:ec00:c:61ff:ffff:ffff |
| 99 | fe80:c25a:ec00:ec00:c:6200::/88 | fe80:c25a:ec00:ec00:c:62ff:ffff:ffff |
| 100 | fe80:c25a:ec00:ec00:c:6300::/88 | fe80:c25a:ec00:ec00:c:63ff:ffff:ffff |
| 101 | fe80:c25a:ec00:ec00:c:6400::/88 | fe80:c25a:ec00:ec00:c:64ff:ffff:ffff |
| 102 | fe80:c25a:ec00:ec00:c:6500::/88 | fe80:c25a:ec00:ec00:c:65ff:ffff:ffff |
| 103 | fe80:c25a:ec00:ec00:c:6600::/88 | fe80:c25a:ec00:ec00:c:66ff:ffff:ffff |
| 104 | fe80:c25a:ec00:ec00:c:6700::/88 | fe80:c25a:ec00:ec00:c:67ff:ffff:ffff |
| 105 | fe80:c25a:ec00:ec00:c:6800::/88 | fe80:c25a:ec00:ec00:c:68ff:ffff:ffff |
| 106 | fe80:c25a:ec00:ec00:c:6900::/88 | fe80:c25a:ec00:ec00:c:69ff:ffff:ffff |
| 107 | fe80:c25a:ec00:ec00:c:6a00::/88 | fe80:c25a:ec00:ec00:c:6aff:ffff:ffff |
| 108 | fe80:c25a:ec00:ec00:c:6b00::/88 | fe80:c25a:ec00:ec00:c:6bff:ffff:ffff |
| 109 | fe80:c25a:ec00:ec00:c:6c00::/88 | fe80:c25a:ec00:ec00:c:6cff:ffff:ffff |
| 110 | fe80:c25a:ec00:ec00:c:6d00::/88 | fe80:c25a:ec00:ec00:c:6dff:ffff:ffff |
| 111 | fe80:c25a:ec00:ec00:c:6e00::/88 | fe80:c25a:ec00:ec00:c:6eff:ffff:ffff |
| 112 | fe80:c25a:ec00:ec00:c:6f00::/88 | fe80:c25a:ec00:ec00:c:6fff:ffff:ffff |
| 113 | fe80:c25a:ec00:ec00:c:7000::/88 | fe80:c25a:ec00:ec00:c:70ff:ffff:ffff |
| 114 | fe80:c25a:ec00:ec00:c:7100::/88 | fe80:c25a:ec00:ec00:c:71ff:ffff:ffff |
| 115 | fe80:c25a:ec00:ec00:c:7200::/88 | fe80:c25a:ec00:ec00:c:72ff:ffff:ffff |
| 116 | fe80:c25a:ec00:ec00:c:7300::/88 | fe80:c25a:ec00:ec00:c:73ff:ffff:ffff |
| 117 | fe80:c25a:ec00:ec00:c:7400::/88 | fe80:c25a:ec00:ec00:c:74ff:ffff:ffff |
| 118 | fe80:c25a:ec00:ec00:c:7500::/88 | fe80:c25a:ec00:ec00:c:75ff:ffff:ffff |
| 119 | fe80:c25a:ec00:ec00:c:7600::/88 | fe80:c25a:ec00:ec00:c:76ff:ffff:ffff |
| 120 | fe80:c25a:ec00:ec00:c:7700::/88 | fe80:c25a:ec00:ec00:c:77ff:ffff:ffff |
| 121 | fe80:c25a:ec00:ec00:c:7800::/88 | fe80:c25a:ec00:ec00:c:78ff:ffff:ffff |
| 122 | fe80:c25a:ec00:ec00:c:7900::/88 | fe80:c25a:ec00:ec00:c:79ff:ffff:ffff |
| 123 | fe80:c25a:ec00:ec00:c:7a00::/88 | fe80:c25a:ec00:ec00:c:7aff:ffff:ffff |
| 124 | fe80:c25a:ec00:ec00:c:7b00::/88 | fe80:c25a:ec00:ec00:c:7bff:ffff:ffff |
| 125 | fe80:c25a:ec00:ec00:c:7c00::/88 | fe80:c25a:ec00:ec00:c:7cff:ffff:ffff |
| 126 | fe80:c25a:ec00:ec00:c:7d00::/88 | fe80:c25a:ec00:ec00:c:7dff:ffff:ffff |
| 127 | fe80:c25a:ec00:ec00:c:7e00::/88 | fe80:c25a:ec00:ec00:c:7eff:ffff:ffff |
| 128 | fe80:c25a:ec00:ec00:c:7f00::/88 | fe80:c25a:ec00:ec00:c:7fff:ffff:ffff |
| 129 | fe80:c25a:ec00:ec00:c:8000::/88 | fe80:c25a:ec00:ec00:c:80ff:ffff:ffff |
| 130 | fe80:c25a:ec00:ec00:c:8100::/88 | fe80:c25a:ec00:ec00:c:81ff:ffff:ffff |
| 131 | fe80:c25a:ec00:ec00:c:8200::/88 | fe80:c25a:ec00:ec00:c:82ff:ffff:ffff |
| 132 | fe80:c25a:ec00:ec00:c:8300::/88 | fe80:c25a:ec00:ec00:c:83ff:ffff:ffff |
| 133 | fe80:c25a:ec00:ec00:c:8400::/88 | fe80:c25a:ec00:ec00:c:84ff:ffff:ffff |
| 134 | fe80:c25a:ec00:ec00:c:8500::/88 | fe80:c25a:ec00:ec00:c:85ff:ffff:ffff |
| 135 | fe80:c25a:ec00:ec00:c:8600::/88 | fe80:c25a:ec00:ec00:c:86ff:ffff:ffff |
| 136 | fe80:c25a:ec00:ec00:c:8700::/88 | fe80:c25a:ec00:ec00:c:87ff:ffff:ffff |
| 137 | fe80:c25a:ec00:ec00:c:8800::/88 | fe80:c25a:ec00:ec00:c:88ff:ffff:ffff |
| 138 | fe80:c25a:ec00:ec00:c:8900::/88 | fe80:c25a:ec00:ec00:c:89ff:ffff:ffff |
| 139 | fe80:c25a:ec00:ec00:c:8a00::/88 | fe80:c25a:ec00:ec00:c:8aff:ffff:ffff |
| 140 | fe80:c25a:ec00:ec00:c:8b00::/88 | fe80:c25a:ec00:ec00:c:8bff:ffff:ffff |
| 141 | fe80:c25a:ec00:ec00:c:8c00::/88 | fe80:c25a:ec00:ec00:c:8cff:ffff:ffff |
| 142 | fe80:c25a:ec00:ec00:c:8d00::/88 | fe80:c25a:ec00:ec00:c:8dff:ffff:ffff |
| 143 | fe80:c25a:ec00:ec00:c:8e00::/88 | fe80:c25a:ec00:ec00:c:8eff:ffff:ffff |
| 144 | fe80:c25a:ec00:ec00:c:8f00::/88 | fe80:c25a:ec00:ec00:c:8fff:ffff:ffff |
| 145 | fe80:c25a:ec00:ec00:c:9000::/88 | fe80:c25a:ec00:ec00:c:90ff:ffff:ffff |
| 146 | fe80:c25a:ec00:ec00:c:9100::/88 | fe80:c25a:ec00:ec00:c:91ff:ffff:ffff |
| 147 | fe80:c25a:ec00:ec00:c:9200::/88 | fe80:c25a:ec00:ec00:c:92ff:ffff:ffff |
| 148 | fe80:c25a:ec00:ec00:c:9300::/88 | fe80:c25a:ec00:ec00:c:93ff:ffff:ffff |
| 149 | fe80:c25a:ec00:ec00:c:9400::/88 | fe80:c25a:ec00:ec00:c:94ff:ffff:ffff |
| 150 | fe80:c25a:ec00:ec00:c:9500::/88 | fe80:c25a:ec00:ec00:c:95ff:ffff:ffff |
| 151 | fe80:c25a:ec00:ec00:c:9600::/88 | fe80:c25a:ec00:ec00:c:96ff:ffff:ffff |
| 152 | fe80:c25a:ec00:ec00:c:9700::/88 | fe80:c25a:ec00:ec00:c:97ff:ffff:ffff |
| 153 | fe80:c25a:ec00:ec00:c:9800::/88 | fe80:c25a:ec00:ec00:c:98ff:ffff:ffff |
| 154 | fe80:c25a:ec00:ec00:c:9900::/88 | fe80:c25a:ec00:ec00:c:99ff:ffff:ffff |
| 155 | fe80:c25a:ec00:ec00:c:9a00::/88 | fe80:c25a:ec00:ec00:c:9aff:ffff:ffff |
| 156 | fe80:c25a:ec00:ec00:c:9b00::/88 | fe80:c25a:ec00:ec00:c:9bff:ffff:ffff |
| 157 | fe80:c25a:ec00:ec00:c:9c00::/88 | fe80:c25a:ec00:ec00:c:9cff:ffff:ffff |
| 158 | fe80:c25a:ec00:ec00:c:9d00::/88 | fe80:c25a:ec00:ec00:c:9dff:ffff:ffff |
| 159 | fe80:c25a:ec00:ec00:c:9e00::/88 | fe80:c25a:ec00:ec00:c:9eff:ffff:ffff |
| 160 | fe80:c25a:ec00:ec00:c:9f00::/88 | fe80:c25a:ec00:ec00:c:9fff:ffff:ffff |
| 161 | fe80:c25a:ec00:ec00:c:a000::/88 | fe80:c25a:ec00:ec00:c:a0ff:ffff:ffff |
| 162 | fe80:c25a:ec00:ec00:c:a100::/88 | fe80:c25a:ec00:ec00:c:a1ff:ffff:ffff |
| 163 | fe80:c25a:ec00:ec00:c:a200::/88 | fe80:c25a:ec00:ec00:c:a2ff:ffff:ffff |
| 164 | fe80:c25a:ec00:ec00:c:a300::/88 | fe80:c25a:ec00:ec00:c:a3ff:ffff:ffff |
| 165 | fe80:c25a:ec00:ec00:c:a400::/88 | fe80:c25a:ec00:ec00:c:a4ff:ffff:ffff |
| 166 | fe80:c25a:ec00:ec00:c:a500::/88 | fe80:c25a:ec00:ec00:c:a5ff:ffff:ffff |
| 167 | fe80:c25a:ec00:ec00:c:a600::/88 | fe80:c25a:ec00:ec00:c:a6ff:ffff:ffff |
| 168 | fe80:c25a:ec00:ec00:c:a700::/88 | fe80:c25a:ec00:ec00:c:a7ff:ffff:ffff |
| 169 | fe80:c25a:ec00:ec00:c:a800::/88 | fe80:c25a:ec00:ec00:c:a8ff:ffff:ffff |
| 170 | fe80:c25a:ec00:ec00:c:a900::/88 | fe80:c25a:ec00:ec00:c:a9ff:ffff:ffff |
| 171 | fe80:c25a:ec00:ec00:c:aa00::/88 | fe80:c25a:ec00:ec00:c:aaff:ffff:ffff |
| 172 | fe80:c25a:ec00:ec00:c:ab00::/88 | fe80:c25a:ec00:ec00:c:abff:ffff:ffff |
| 173 | fe80:c25a:ec00:ec00:c:ac00::/88 | fe80:c25a:ec00:ec00:c:acff:ffff:ffff |
| 174 | fe80:c25a:ec00:ec00:c:ad00::/88 | fe80:c25a:ec00:ec00:c:adff:ffff:ffff |
| 175 | fe80:c25a:ec00:ec00:c:ae00::/88 | fe80:c25a:ec00:ec00:c:aeff:ffff:ffff |
| 176 | fe80:c25a:ec00:ec00:c:af00::/88 | fe80:c25a:ec00:ec00:c:afff:ffff:ffff |
| 177 | fe80:c25a:ec00:ec00:c:b000::/88 | fe80:c25a:ec00:ec00:c:b0ff:ffff:ffff |
| 178 | fe80:c25a:ec00:ec00:c:b100::/88 | fe80:c25a:ec00:ec00:c:b1ff:ffff:ffff |
| 179 | fe80:c25a:ec00:ec00:c:b200::/88 | fe80:c25a:ec00:ec00:c:b2ff:ffff:ffff |
| 180 | fe80:c25a:ec00:ec00:c:b300::/88 | fe80:c25a:ec00:ec00:c:b3ff:ffff:ffff |
| 181 | fe80:c25a:ec00:ec00:c:b400::/88 | fe80:c25a:ec00:ec00:c:b4ff:ffff:ffff |
| 182 | fe80:c25a:ec00:ec00:c:b500::/88 | fe80:c25a:ec00:ec00:c:b5ff:ffff:ffff |
| 183 | fe80:c25a:ec00:ec00:c:b600::/88 | fe80:c25a:ec00:ec00:c:b6ff:ffff:ffff |
| 184 | fe80:c25a:ec00:ec00:c:b700::/88 | fe80:c25a:ec00:ec00:c:b7ff:ffff:ffff |
| 185 | fe80:c25a:ec00:ec00:c:b800::/88 | fe80:c25a:ec00:ec00:c:b8ff:ffff:ffff |
| 186 | fe80:c25a:ec00:ec00:c:b900::/88 | fe80:c25a:ec00:ec00:c:b9ff:ffff:ffff |
| 187 | fe80:c25a:ec00:ec00:c:ba00::/88 | fe80:c25a:ec00:ec00:c:baff:ffff:ffff |
| 188 | fe80:c25a:ec00:ec00:c:bb00::/88 | fe80:c25a:ec00:ec00:c:bbff:ffff:ffff |
| 189 | fe80:c25a:ec00:ec00:c:bc00::/88 | fe80:c25a:ec00:ec00:c:bcff:ffff:ffff |
| 190 | fe80:c25a:ec00:ec00:c:bd00::/88 | fe80:c25a:ec00:ec00:c:bdff:ffff:ffff |
| 191 | fe80:c25a:ec00:ec00:c:be00::/88 | fe80:c25a:ec00:ec00:c:beff:ffff:ffff |
| 192 | fe80:c25a:ec00:ec00:c:bf00::/88 | fe80:c25a:ec00:ec00:c:bfff:ffff:ffff |
| 193 | fe80:c25a:ec00:ec00:c:c000::/88 | fe80:c25a:ec00:ec00:c:c0ff:ffff:ffff |
| 194 | fe80:c25a:ec00:ec00:c:c100::/88 | fe80:c25a:ec00:ec00:c:c1ff:ffff:ffff |
| 195 | fe80:c25a:ec00:ec00:c:c200::/88 | fe80:c25a:ec00:ec00:c:c2ff:ffff:ffff |
| 196 | fe80:c25a:ec00:ec00:c:c300::/88 | fe80:c25a:ec00:ec00:c:c3ff:ffff:ffff |
| 197 | fe80:c25a:ec00:ec00:c:c400::/88 | fe80:c25a:ec00:ec00:c:c4ff:ffff:ffff |
| 198 | fe80:c25a:ec00:ec00:c:c500::/88 | fe80:c25a:ec00:ec00:c:c5ff:ffff:ffff |
| 199 | fe80:c25a:ec00:ec00:c:c600::/88 | fe80:c25a:ec00:ec00:c:c6ff:ffff:ffff |
| 200 | fe80:c25a:ec00:ec00:c:c700::/88 | fe80:c25a:ec00:ec00:c:c7ff:ffff:ffff |
| 201 | fe80:c25a:ec00:ec00:c:c800::/88 | fe80:c25a:ec00:ec00:c:c8ff:ffff:ffff |
| 202 | fe80:c25a:ec00:ec00:c:c900::/88 | fe80:c25a:ec00:ec00:c:c9ff:ffff:ffff |
| 203 | fe80:c25a:ec00:ec00:c:ca00::/88 | fe80:c25a:ec00:ec00:c:caff:ffff:ffff |
| 204 | fe80:c25a:ec00:ec00:c:cb00::/88 | fe80:c25a:ec00:ec00:c:cbff:ffff:ffff |
| 205 | fe80:c25a:ec00:ec00:c:cc00::/88 | fe80:c25a:ec00:ec00:c:ccff:ffff:ffff |
| 206 | fe80:c25a:ec00:ec00:c:cd00::/88 | fe80:c25a:ec00:ec00:c:cdff:ffff:ffff |
| 207 | fe80:c25a:ec00:ec00:c:ce00::/88 | fe80:c25a:ec00:ec00:c:ceff:ffff:ffff |
| 208 | fe80:c25a:ec00:ec00:c:cf00::/88 | fe80:c25a:ec00:ec00:c:cfff:ffff:ffff |
| 209 | fe80:c25a:ec00:ec00:c:d000::/88 | fe80:c25a:ec00:ec00:c:d0ff:ffff:ffff |
| 210 | fe80:c25a:ec00:ec00:c:d100::/88 | fe80:c25a:ec00:ec00:c:d1ff:ffff:ffff |
| 211 | fe80:c25a:ec00:ec00:c:d200::/88 | fe80:c25a:ec00:ec00:c:d2ff:ffff:ffff |
| 212 | fe80:c25a:ec00:ec00:c:d300::/88 | fe80:c25a:ec00:ec00:c:d3ff:ffff:ffff |
| 213 | fe80:c25a:ec00:ec00:c:d400::/88 | fe80:c25a:ec00:ec00:c:d4ff:ffff:ffff |
| 214 | fe80:c25a:ec00:ec00:c:d500::/88 | fe80:c25a:ec00:ec00:c:d5ff:ffff:ffff |
| 215 | fe80:c25a:ec00:ec00:c:d600::/88 | fe80:c25a:ec00:ec00:c:d6ff:ffff:ffff |
| 216 | fe80:c25a:ec00:ec00:c:d700::/88 | fe80:c25a:ec00:ec00:c:d7ff:ffff:ffff |
| 217 | fe80:c25a:ec00:ec00:c:d800::/88 | fe80:c25a:ec00:ec00:c:d8ff:ffff:ffff |
| 218 | fe80:c25a:ec00:ec00:c:d900::/88 | fe80:c25a:ec00:ec00:c:d9ff:ffff:ffff |
| 219 | fe80:c25a:ec00:ec00:c:da00::/88 | fe80:c25a:ec00:ec00:c:daff:ffff:ffff |
| 220 | fe80:c25a:ec00:ec00:c:db00::/88 | fe80:c25a:ec00:ec00:c:dbff:ffff:ffff |
| 221 | fe80:c25a:ec00:ec00:c:dc00::/88 | fe80:c25a:ec00:ec00:c:dcff:ffff:ffff |
| 222 | fe80:c25a:ec00:ec00:c:dd00::/88 | fe80:c25a:ec00:ec00:c:ddff:ffff:ffff |
| 223 | fe80:c25a:ec00:ec00:c:de00::/88 | fe80:c25a:ec00:ec00:c:deff:ffff:ffff |
| 224 | fe80:c25a:ec00:ec00:c:df00::/88 | fe80:c25a:ec00:ec00:c:dfff:ffff:ffff |
| 225 | fe80:c25a:ec00:ec00:c:e000::/88 | fe80:c25a:ec00:ec00:c:e0ff:ffff:ffff |
| 226 | fe80:c25a:ec00:ec00:c:e100::/88 | fe80:c25a:ec00:ec00:c:e1ff:ffff:ffff |
| 227 | fe80:c25a:ec00:ec00:c:e200::/88 | fe80:c25a:ec00:ec00:c:e2ff:ffff:ffff |
| 228 | fe80:c25a:ec00:ec00:c:e300::/88 | fe80:c25a:ec00:ec00:c:e3ff:ffff:ffff |
| 229 | fe80:c25a:ec00:ec00:c:e400::/88 | fe80:c25a:ec00:ec00:c:e4ff:ffff:ffff |
| 230 | fe80:c25a:ec00:ec00:c:e500::/88 | fe80:c25a:ec00:ec00:c:e5ff:ffff:ffff |
| 231 | fe80:c25a:ec00:ec00:c:e600::/88 | fe80:c25a:ec00:ec00:c:e6ff:ffff:ffff |
| 232 | fe80:c25a:ec00:ec00:c:e700::/88 | fe80:c25a:ec00:ec00:c:e7ff:ffff:ffff |
| 233 | fe80:c25a:ec00:ec00:c:e800::/88 | fe80:c25a:ec00:ec00:c:e8ff:ffff:ffff |
| 234 | fe80:c25a:ec00:ec00:c:e900::/88 | fe80:c25a:ec00:ec00:c:e9ff:ffff:ffff |
| 235 | fe80:c25a:ec00:ec00:c:ea00::/88 | fe80:c25a:ec00:ec00:c:eaff:ffff:ffff |
| 236 | fe80:c25a:ec00:ec00:c:eb00::/88 | fe80:c25a:ec00:ec00:c:ebff:ffff:ffff |
| 237 | fe80:c25a:ec00:ec00:c:ec00::/88 | fe80:c25a:ec00:ec00:c:ecff:ffff:ffff |
| 238 | fe80:c25a:ec00:ec00:c:ed00::/88 | fe80:c25a:ec00:ec00:c:edff:ffff:ffff |
| 239 | fe80:c25a:ec00:ec00:c:ee00::/88 | fe80:c25a:ec00:ec00:c:eeff:ffff:ffff |
| 240 | fe80:c25a:ec00:ec00:c:ef00::/88 | fe80:c25a:ec00:ec00:c:efff:ffff:ffff |
| 241 | fe80:c25a:ec00:ec00:c:f000::/88 | fe80:c25a:ec00:ec00:c:f0ff:ffff:ffff |
| 242 | fe80:c25a:ec00:ec00:c:f100::/88 | fe80:c25a:ec00:ec00:c:f1ff:ffff:ffff |
| 243 | fe80:c25a:ec00:ec00:c:f200::/88 | fe80:c25a:ec00:ec00:c:f2ff:ffff:ffff |
| 244 | fe80:c25a:ec00:ec00:c:f300::/88 | fe80:c25a:ec00:ec00:c:f3ff:ffff:ffff |
| 245 | fe80:c25a:ec00:ec00:c:f400::/88 | fe80:c25a:ec00:ec00:c:f4ff:ffff:ffff |
| 246 | fe80:c25a:ec00:ec00:c:f500::/88 | fe80:c25a:ec00:ec00:c:f5ff:ffff:ffff |
| 247 | fe80:c25a:ec00:ec00:c:f600::/88 | fe80:c25a:ec00:ec00:c:f6ff:ffff:ffff |
| 248 | fe80:c25a:ec00:ec00:c:f700::/88 | fe80:c25a:ec00:ec00:c:f7ff:ffff:ffff |
| 249 | fe80:c25a:ec00:ec00:c:f800::/88 | fe80:c25a:ec00:ec00:c:f8ff:ffff:ffff |
| 250 | fe80:c25a:ec00:ec00:c:f900::/88 | fe80:c25a:ec00:ec00:c:f9ff:ffff:ffff |
| 251 | fe80:c25a:ec00:ec00:c:fa00::/88 | fe80:c25a:ec00:ec00:c:faff:ffff:ffff |
| 252 | fe80:c25a:ec00:ec00:c:fb00::/88 | fe80:c25a:ec00:ec00:c:fbff:ffff:ffff |
| 253 | fe80:c25a:ec00:ec00:c:fc00::/88 | fe80:c25a:ec00:ec00:c:fcff:ffff:ffff |
| 254 | fe80:c25a:ec00:ec00:c:fd00::/88 | fe80:c25a:ec00:ec00:c:fdff:ffff:ffff |
| 255 | fe80:c25a:ec00:ec00:c:fe00::/88 | fe80:c25a:ec00:ec00:c:feff:ffff:ffff |
| 256 | fe80:c25a:ec00:ec00:c:ff00::/88 | fe80:c25a:ec00:ec00:c:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |